30.03.2010

Authors: povder, Zear
E-mails: povder@gmail.com, zeartul@gmail.com
Name: The Tower of Gowno

The Tower of Gowno is a genuine roguelike game written in c++. It depends on SDL, SDL_image and SDL_ttf.
The goal of the game is to slay the Dark Wizard and return the Orb of Gowno to the surface.
Builds for Dingux and GP2x are statically linked, build for x86 is dynamically linked.

Key bindings:
 -movement: up, down, left, right
 -pick up item: backspace, dingoo: R, gp2x: R
 -open door: space, dingoo: X, gp2x: Y
 -show/hide inventory: enter, dingoo: START, gp2x: HOME
 -exit: escape, dingoo: SELECT, gp2x: SELECT
 -go up/down: tab, dingoo: L, gp2x: L

 When inventory window is active:
 -throw away selected item: backspace, dingoo: R, gp2x: R
 -hide window: escape, dingoo: SELECT, gp2x: SELECT
 -select item: space, dingoo: X, gp2x: Y
 -move item (after selecting item and choosing empty slot): space, dingoo: X, gp2x: Y

Known bugs:
- map generator sometimes fails to generate stairs and/or monsters and/or doors (on x86 version it never happens)
- controls don't have proper names on GP2x platform
- when loading saved maps only terrain is loaded (no objects, monsters)
- game (including main quest) is unfinished

Special thanks: ElPrezidente for Engrish to English translation
